From 65db4fa546fd64944c3f7c34cf86af21eabfa223 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Tue, 26 Jul 2022 09:41:21 +0000
Subject: [PATCH v10] Add WAL recovery info to startup progress log message

---
 src/backend/access/transam/xlogrecovery.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/src/backend/access/transam/xlogrecovery.c b/src/backend/access/transam/xlogrecovery.c
index e383c2123a..a69463e8e6 100644
--- a/src/backend/access/transam/xlogrecovery.c
+++ b/src/backend/access/transam/xlogrecovery.c
@@ -1641,17 +1641,15 @@ PerformWalRecovery(void)
 						LSN_FORMAT_ARGS(xlogreader->ReadRecPtr))));
 
 		/* Prepare to report progress of the redo phase. */
-		if (!StandbyMode)
-			begin_startup_progress_phase();
+		begin_startup_progress_phase();
 
 		/*
 		 * main redo apply loop
 		 */
 		do
 		{
-			if (!StandbyMode)
-				ereport_startup_progress("redo in progress, elapsed time: %ld.%02d s, current LSN: %X/%X",
-										 LSN_FORMAT_ARGS(xlogreader->ReadRecPtr));
+			ereport_startup_progress("redo in progress, elapsed time: %ld.%02d s, current LSN: %X/%X, Timeline ID: %u, WAL file source: %s",
+									 LSN_FORMAT_ARGS(xlogreader->ReadRecPtr), replayTLI, xlogSourceNames[currentSource]);
 
 #ifdef WAL_DEBUG
 			if (XLOG_DEBUG ||
-- 
2.34.1

